Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Name:		check
Version:	0.9.5
Release:	1
Summary:	A unit test framework for C
Source0:	http://download.sourceforge.net/check/%{name}-%{version}.tar.gz
Group:		Development/Tools
License:	LGPLv2+
URL:		http://check.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
#BuildRequires:	docbook-utils
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info
Patch0:		check-0.9.5-fPIC.patch

%description
Check is a unit test framework for C. It features a simple interface for 
defining unit tests, putting little in the way of the developer. Tests 
are run in a separate address space, so Check can catch both assertion 
failures and code errors that cause segmentation faults or other signals. 
The output from unit tests can be used within source code editors and IDEs.

%package devel
Summary:	Libraries and headers for developing programs with check
Group:		Development/Libraries
Requires:	pkgconfig
Requires:	%{name} = %{version}-%{release}

%description devel
Libraries and headers for developing programs with check

%package static
Summary:        Static libraries of check
Group:		Development/Libraries

%description static
Static libraries of check.

%prep
%setup -q
%patch0 -p1

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm -rf $RPM_BUILD_ROOT%{_infodir}/dir

# redundant files
rm -f $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/COPYING.LESSER
rm -f $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/ChangeLog*
rm -f $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/NEWS
rm -f $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/README
rm -f $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/SVNChangeLog

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

%postun -p /sbin/ldconfig

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi

%files
%defattr(-,root,root,-)
%doc COPYING.LESSER ChangeLog ChangeLogOld NEWS README SVNChangeLog
%{_libdir}/libcheck.so.*
%{_infodir}/check*

%files devel
%defattr(-,root,root,-)
%{_includedir}/check.h
%{_defaultdocdir}/%{name}/example/
%{_libdir}/libcheck.so
%{_libdir}/*.la
%{_libdir}/pkgconfig/check.pc
%{_datadir}/doc/%{name}-%{version}
%{_datadir}/aclocal/check.m4

#check used to be static only, hence this.
%files static
%defattr(-,root,root,-)
%{_libdir}/libcheck.a

%changelog
* Tue Mar 18 2008 Christian Metzen <metzench@ccux-linux.de> 0.9.5-1
- Initial release